Bug 231759 - wget retries with wrong file name
wget retries with wrong file name
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-11 04:33 EDT by Kasper Dupont
Modified: 2008-05-07 03:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2007-03-11 04:33:54 EDT
Description of problem:
When the connection is broken and wget retry the rest of the file it is saved to
a different file rather than being appended to the existing file.

Version-Release number of selected component (if applicable):
wget-1.10.2-3.3.fc5

How reproducible:
Happens every time.

Steps to Reproduce:
1. Start downloading a file with wget
2. Server breaks connection
  
Actual results:
wget retry and create a new file with .1 appended to the end for the rest of the
contents.

Expected results:
The rest of the contents are appended to the existing file.

Additional info:
Comment 1 Alan Pevec 2007-04-25 14:55:35 EDT
This bug is present in FC6
Comment 2 Chuck Ebbert 2007-04-25 15:09:51 EDT
Does using wget -c work?
Comment 3 Richard W.M. Jones 2007-04-26 03:52:25 EDT
I have the same problem.  My report ...

'wget'-ing a file from the W3C's website, the web server closed the connection
after 6%, wget correctly resumed the connection, but saved the rest of the file
as 'file.1'.  As a result neither 'file' nor 'file.1' contain the right data
(although I suppose I could concatenate them together).

$ wget
http://www.w3.org/XML/2004/xml-schema-test-suite/xmlschema2002-01-16/xsts-2002-01-16.tar.gz
--13:41:52--
http://www.w3.org/XML/2004/xml-schema-test-suite/xmlschema2002-01-16/xsts-2002-01-16.tar.gz
Resolving www.w3.org... 193.51.208.69, 193.51.208.70, 128.30.52.54, ...
Connecting to www.w3.org|193.51.208.69|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6894439 (6.6M) [application/octet-stream]
Saving to: `xsts-2002-01-16.tar.gz'

 6% [=>                                      ] 439,872     6.21K/s   in 47s

13:42:48 (9.07 KB/s) - Connection closed at byte 439872. Retrying.

--13:42:49--  (try: 2)
http://www.w3.org/XML/2004/xml-schema-test-suite/xmlschema2002-01-16/xsts-2002-01-16.tar.gz
Connecting to www.w3.org|193.51.208.69|:80... connected.
HTTP request sent, awaiting response... 206 Partial Content
Length: 6894439 (6.6M), 6454567 (6.2M) remaining [application/octet-stream]
Saving to: `xsts-2002-01-16.tar.gz.1'

100%[++=====================================>] 6,894,439    227K/s   in 43s

13:43:34 (147 KB/s) - `xsts-2002-01-16.tar.gz.1' saved [6894439/6894439]

$ ls -l xsts-2002-01-16.tar.gz*
-rw-rw-r-- 1 rjones rjones  439872 Apr 25 13:42 xsts-2002-01-16.tar.gz
-rw-rw-r-- 1 rjones rjones 6454567 May 20  2005 xsts-2002-01-16.tar.gz.1

$ which wget
/usr/bin/wget
$ wget --version
GNU Wget 1.10.2 (Red Hat modified)

Copyright (C) 2005 Free Software Foundation, Inc.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public Licence for more details.

Originally written by Hrvoje Niksic <hniksic@xemacs.org>.


The machine is running FC6.  I was doing a massive upload in the background
which appears to be why wget failed.

I can reproduce this pretty reliably just by doing the wget & upload at the same
time - though of course it fails at a random place each time.

----

"wget -c" is not the solution to this, since we're not trying to resume across
invocations of wget.
Comment 4 Karsten Hopp 2007-06-18 10:58:05 EDT
reproducable with ifdown/ifup during the download.
Looks like this is  fixed in F-7, I'll prepare new FC-6 packages soon
Comment 5 Bug Zapper 2008-04-04 02:30:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:20:30 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Richard W.M. Jones 2008-05-07 03:40:25 EDT
This seems to be fixed for me in wget 1.10.2.

Note You need to log in before you can comment on or make changes to this bug.